!c Description: 
!c   $B"&!&(Bu $B$N7W;;(B
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2004, All rights reserved

subroutine VelDiv(fs_VelX, sf_VelZ, ss_VelDiv)

  !--- $B%b%8%e!<%k$NFI$_9~$_(B
  use gridset, only: DimXMin, DimXMax, DimZMin, DimZMax, ss_Bc
  use if_diff, only: ss_dx_fs, ss_dz_sf
  use if_boundary
  
  !--- $B0EL[$N7?@k8@6X;_(B
  implicit none
  
  !--- $BF~=PNOJQ?t(B
  real(8), intent(in)      :: fs_Velx(DimXMin:DimXMax, DimZMin:DimZMax)
  real(8), intent(in)      :: sf_Velz(DimXMin:DimXMax, DimZMin:DimZMax)
  real(8), intent(out)     :: ss_VelDiv(DimXMin:DimXMax, DimZMin:DimZMax)
  
  !--- $BB.EY(B u
  ss_VelDiv =  ss_dx_fs( fs_VelX ) + ss_dz_sf( sf_VelZ )
  
  !--- $B6-3&>r7o(B
  call boundary(ss_Bc, ss_VelDiv)
  
end subroutine VelDiv
